Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.spi
Interface QueryCache

All Known Implementing Classes:
  StandardQueryCache

    public interface QueryCache

Defines the contract for caches capable of storing query results. These caches should only concern themselves with storing the matching result ids. The transactional semantics are necessarily less strict than the semantics of an item cache.

Method Summary
`void` | `clear()`
`void` | `destroy()`
`List` | `get(QueryKey key, Type[] returnTypes, boolean isNaturalKeyLookup, Set spaces, SessionImplementor session)`
`QueryResultsRegion` | `getRegion()`
`boolean` | `put(QueryKey key, Type[] returnTypes, List result, boolean isNaturalKeyLookup, SessionImplementor session)`

Method Detail

### clear

    void clear()
               throws CacheException

  Throws:
    `CacheException`

### put

    boolean put(QueryKey key,
                Type[] returnTypes,
                List result,
                boolean isNaturalKeyLookup,
                SessionImplementor session)
                throws HibernateException

  Throws:
    `HibernateException`

### get

    List get(QueryKey key,
             Type[] returnTypes,
             boolean isNaturalKeyLookup,
             Set spaces,
             SessionImplementor session)
             throws HibernateException

  Throws:
    `HibernateException`

### destroy

    void destroy()

### getRegion

    QueryResultsRegion getRegion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.